Debian Bug report logs - #401726
xterm: color change on redraw

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Julien Cristau <julien.cristau@ens-lyon.org>

Date: Tue, 5 Dec 2006 15:48:35 UTC

Severity: normal

Found in version xterm/223-1

Fixed in version xterm/224-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#401726; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <julien.cristau@ens-lyon.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Cristau <julien.cristau@ens-lyon.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: color change on redraw
Date: Tue, 5 Dec 2006 16:44:02 +0100
[Message part 1 (text/plain, inline)]
Package: xterm
Version: 223-1
Severity: normal

Hi, I noticed what seems to be an off-by-one problem on redraw with the
latest xterm, see the screenshot at
http://liafa.jussieu.fr/~jcristau/tmp/screenshot.png
In mutt the border (which is black when launching it) changes color when
I switch workspaces.

Cheers,
Julien


-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.18-3-686
Locale: LANG=C, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages xterm depends on:
ii  libc6                        2.3.6.ds1-8 GNU C Library: Shared libraries
ii  libfontconfig1               2.4.1-2     generic font configuration library
ii  libice6                      1:1.0.1-2   X11 Inter-Client Exchange library
ii  libncurses5                  5.5-5       Shared libraries for terminal hand
ii  libsm6                       1:1.0.1-3   X11 Session Management library
ii  libx11-6                     2:1.0.3-4   X11 client-side library
ii  libxaw7                      1:1.0.2-4   X11 Athena Widget library
ii  libxext6                     1:1.0.1-2   X11 miscellaneous extension librar
ii  libxft2                      2.1.8.2-8   FreeType-based font drawing librar
ii  libxmu6                      1:1.0.2-2   X11 miscellaneous utility library
ii  libxt6                       1:1.0.2-2   X11 toolkit intrinsics library
ii  xbitmaps                     1.0.1-2     Base X bitmaps

Versions of packages xterm recommends:
ii  xutils                      1:7.1.ds.3-1 X Window System utility programs

-- no debconf information
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#401726; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <julien.cristau@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 401726@bugs.debian.org (full text, mbox):

From: Julien Cristau <julien.cristau@ens-lyon.org>
To: Debian Bug Tracking System <401726@bugs.debian.org>
Subject: Re: xterm: color change on redraw
Date: Tue, 5 Dec 2006 17:22:26 +0100
[Message part 1 (text/plain, inline)]
On Tue, Dec  5, 2006 at 16:44:02 +0100, Julien Cristau wrote:

> Hi, I noticed what seems to be an off-by-one problem on redraw with the

Or more something like the background color not being set correctly, I
guess.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#401726; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 401726@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Julien Cristau <julien.cristau@ens-lyon.org>, 401726@bugs.debian.org
Subject: Re: Bug#401726: xterm: color change on redraw
Date: Tue, 5 Dec 2006 14:47:29 -0500
[Message part 1 (text/plain, inline)]
On Tue, Dec 05, 2006 at 05:10:25PM +0100, Julien Cristau wrote:
> Package: xterm
> Version: 223-1
> Severity: normal
> 
> Hi, I noticed what seems to be an off-by-one problem on redraw with the
> latest xterm, see the screenshot at
> http://liafa.jussieu.fr/~jcristau/tmp/screenshot.png
> In mutt the border (which is black when launching it) changes color when
> I switch workspaces.

I'm not quite sure how to interpret the pictures wrt workspaces.
What I _see_ looks plausible enough: the inner border of the window
is colored to match the last background used for clearing the screen.

Normally the inner border isn't treated specially; I happened to notice
that it (along with some other cases) wasn't being repainted on exposure
events.  In #223, I added a check if the inner border needs to be repainted,
and that can account for the difference between the top two windows.

(I also considered keeping the inner border matching the original default
color, but that didn't look right...)

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#401726; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <julien.cristau@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 401726@bugs.debian.org (full text, mbox):

From: Julien Cristau <julien.cristau@ens-lyon.org>
To: Thomas Dickey <dickey@radix.net>
Cc: 401726@bugs.debian.org
Subject: Re: Bug#401726: xterm: color change on redraw
Date: Tue, 5 Dec 2006 21:48:19 +0100
On Tue, Dec  5, 2006 at 14:47:29 -0500, Thomas Dickey wrote:

> I'm not quite sure how to interpret the pictures wrt workspaces.
> What I _see_ looks plausible enough: the inner border of the window
> is colored to match the last background used for clearing the screen.
> 
> Normally the inner border isn't treated specially; I happened to notice
> that it (along with some other cases) wasn't being repainted on exposure
> events.  In #223, I added a check if the inner border needs to be repainted,
> and that can account for the difference between the top two windows.
> 
So maybe mutt changes the background color, and then xterm uses that to
repaint the inner border?  I also noticed that when the inner border has
been repainted when inside mutt, and I quit mutt, the border is not
repainted and stays blue (for example) while the rest of the background
is black (until the next exposure event) :)

Cheers,
Julien



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#401726; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 401726@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Julien Cristau <julien.cristau@ens-lyon.org>
Cc: Thomas Dickey <dickey@radix.net>, 401726@bugs.debian.org
Subject: Re: Bug#401726: xterm: color change on redraw
Date: Tue, 5 Dec 2006 17:41:31 -0500
[Message part 1 (text/plain, inline)]
On Tue, Dec 05, 2006 at 09:48:19PM +0100, Julien Cristau wrote:
> On Tue, Dec  5, 2006 at 14:47:29 -0500, Thomas Dickey wrote:
> 
> > I'm not quite sure how to interpret the pictures wrt workspaces.
> > What I _see_ looks plausible enough: the inner border of the window
> > is colored to match the last background used for clearing the screen.
> > 
> > Normally the inner border isn't treated specially; I happened to notice
> > that it (along with some other cases) wasn't being repainted on exposure
> > events.  In #223, I added a check if the inner border needs to be repainted,
> > and that can account for the difference between the top two windows.
> > 
> So maybe mutt changes the background color, and then xterm uses that to
> repaint the inner border?  I also noticed that when the inner border has

yes - judging by your report, it's sounding as if I picked the current ANSI
background color.  (I wouldn't notice something like that immediately since
most of my color apps tend to have a default background).

> been repainted when inside mutt, and I quit mutt, the border is not
> repainted and stays blue (for example) while the rest of the background
> is black (until the next exposure event) :)

That sounds consistent.  Before #223, the border simply wasn't repainted.
Now it's repainted, and we don't like the color scheme.

The test-case that I was investigating showed that - but I didn't happen
to use a background other than black or white.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#401726; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Marc Wilson <msw@cox.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 401726@bugs.debian.org (full text, mbox):

From: Marc Wilson <msw@cox.net>
To: 401726@bugs.debian.org
Subject: Re: xterm: color change on redraw
Date: Sun, 31 Dec 2006 20:08:47 -0800
So, does this mean that it's a bug in xterm, or a but in mutt, or what?  I
know it's mutt that *triggers* it... when mutt launched vim in its window
to compose this message, the window flashed cyan, and I've got this cyan
border.

It didn't do that before.

-- 
 Marc Wilson |     BOFH excuse #61: not approved by the FCC
 msw@cox.net |



Message sent on to Julien Cristau <julien.cristau@ens-lyon.org>:
Bug#401726. Full text and rfc822 format available.

Message #33 received at 401726-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 401726-submitter@bugs.debian.org
Subject: re: #401726 xterm: color change on redraw
Date: Mon, 01 Jan 2007 06:55:57 -0500
[Message part 1 (text/plain, inline)]
>So, does this mean that it's a bug in xterm, or a but in mutt, or what?  I

It's a bug in xterm, which is on my to-do list.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Julien Cristau <julien.cristau@ens-lyon.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #38 received at 401726-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 401726-close@bugs.debian.org
Subject: Bug#401726: fixed in xterm 224-1
Date: Sun, 11 Feb 2007 23:32:04 +0000
Source: xterm
Source-Version: 224-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_224-1.diff.gz
  to pool/main/x/xterm/xterm_224-1.diff.gz
xterm_224-1.dsc
  to pool/main/x/xterm/xterm_224-1.dsc
xterm_224-1_i386.deb
  to pool/main/x/xterm/xterm_224-1_i386.deb
xterm_224.orig.tar.gz
  to pool/main/x/xterm/xterm_224.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 401726@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 12 Feb 2007 00:14:06 +0100
Source: xterm
Binary: xterm
Architecture: source i386
Version: 224-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 401726 404111 405043 406502
Changes: 
 xterm (224-1) unstable; urgency=low
 .
   * New upstream release.
     + fix build for GNU/KFreeBSD (closes: #404111).
     + undo a comparison in handle_translated_exposure which did not work
       due  to  X server optimization. That caused the inner border to be
       repainted  with  unexpected  colors when handling a repaint, e.g.,
       after  switching to/from another workspace (closes: #401726).
     + allow  -cr option to override cursor color when -ah option is used
       (closes: #406502).
     + add  a  note  in  xterm's  manpage explaining that the -bw (or -w)
       option  is  only  used  by  the  window manager, if at all
       (closes: #405043).
   * Refresh patch 901_xterm_manpage.diff.
   * Change my email address in debian/control.
Files: 
 0b1fec8d9583f4c170d4a4ba69a5ee3c 805 x11 optional xterm_224-1.dsc
 7e9f042873eb1927934d21733f9a2e1a 811925 x11 optional xterm_224.orig.tar.gz
 57d89a5915e7d94793c4dab6453dfb2b 60747 x11 optional xterm_224-1.diff.gz
 6815949d5c4c876bb73280d38aedfcf4 442780 x11 optional xterm_224-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFFz6UwmEvTgKxfcAwRAm/uAKCWhkcHEYu3NEgfUhVvQaU5D8LP2ACfSswT
M0qNiGTRIqyKhd1PeVjUM+o=
=HR7M
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 00:03:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:34:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.